# $Revision: 1.18 $, $Date: 2004/04/25 20:20:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	LDAP
Summary:	DBD::LDAP - a DBI driver for LDAP databases
Summary(pl):	DBD::LDAP - sterownik DBI do baz danych LDAP
Name:		perl-DBD-LDAP
Version:	0.06
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	db90c6990f309781e94493fcf5402168
Patch0:		%{name}-paths.patch
BuildRequires:	perl-DBI >= 1.03
BuildRequires:	perl-ldap >= 0.01
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::LDAP - a DBI driver for LDAP databases.

%description -l pl
DBD::LDAP - sterownik DBI do baz danych LDAP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DBD/LDAP.pm
%{perl_vendorlib}/JLdap.pm
#%{perl_vendorlib}/auto/DBD
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-LDAP.spec,v $
Revision 1.18  2004/04/25 20:20:27  ankry
- tests added

Revision 1.17  2004/04/20 05:42:37  ankry
- license fixes and unification

Revision 1.16  2004/04/09 18:10:22  adamg
- updated to 0.06

Revision 1.15  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/02 13:00:08  radek
- provided informative summaries

Revision 1.10  2003/03/01 18:04:46  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/25 00:38:30  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:30:30  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/08/18 12:02:00  blues
- release 4 - license fix; STBR

Revision 1.6  2002/07/16 23:26:09  ankry
- translations, cleaning
- added %%{perl_sitelib}/auto/DBD/LDAP
- release 3

Revision 1.5  2002/07/14 19:37:42  ankry
- added -paths patch fixing path to perl binary
- release 2

Revision 1.4  2002/07/11 11:43:42  qboosh
- new %%doc, cosmetics

Revision 1.3  2002/07/11 07:58:30  depesz
- new version; should work; STBR

Revision 1.2  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.1  2002/03/22 22:12:30  qboosh
- new
